In-flight deposits and withdrawals over time, by chain
curl --request GET \
--url https://mpc.hex-api.app/bridge/monitor/inflightimport requests
url = "https://mpc.hex-api.app/bridge/monitor/inflight"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/monitor/inflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/monitor/inflight",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/monitor/inflight"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/monitor/inflight")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/monitor/inflight")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"now": 123,
"hours": 123,
"step_s": 123,
"t": [
123
],
"stuck_after_s": {
"deposit": 123,
"withdrawal": 123
},
"backlog_after_s": 123,
"sources": {
"hot_sweep": 123,
"oneclick": 123,
"oneclick_enabled": true
},
"chains": [
{
"chain": "<string>",
"name": "Polygon",
"deposit": {
"live": [
123
],
"old": [
123
],
"oldest_s": [
123
],
"current": {
"live": 123,
"stuck": 123,
"backlog": 123,
"refund": 123,
"oldest_s": 123,
"unread": true
},
"peak": 123,
"done": [
123
],
"refuel": [
123
]
},
"withdrawal": {
"live": [
123
],
"old": [
123
],
"oldest_s": [
123
],
"current": {
"live": 123,
"stuck": 123,
"backlog": 123,
"refund": 123,
"oldest_s": 123,
"unread": true
},
"peak": 123,
"done": [
123
],
"refuel": [
123
]
}
}
]
}Monitor
In-flight deposits and withdrawals over time, by chain
How many deposits and withdrawals were in flight at every moment, per chain, sampled by the cron every minute and kept 14 days (older than 48 h in 10-minute buckets). A spike means transfers piling up on a chain. Old backlog and refund-only withdrawals are counted apart (old), so they never mask a spike.
GET
/
bridge
/
monitor
/
inflight
In-flight deposits and withdrawals over time, by chain
curl --request GET \
--url https://mpc.hex-api.app/bridge/monitor/inflightimport requests
url = "https://mpc.hex-api.app/bridge/monitor/inflight"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mpc.hex-api.app/bridge/monitor/inflight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mpc.hex-api.app/bridge/monitor/inflight",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mpc.hex-api.app/bridge/monitor/inflight"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mpc.hex-api.app/bridge/monitor/inflight")
.asString();require 'uri'
require 'net/http'
url = URI("https://mpc.hex-api.app/bridge/monitor/inflight")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"now": 123,
"hours": 123,
"step_s": 123,
"t": [
123
],
"stuck_after_s": {
"deposit": 123,
"withdrawal": 123
},
"backlog_after_s": 123,
"sources": {
"hot_sweep": 123,
"oneclick": 123,
"oneclick_enabled": true
},
"chains": [
{
"chain": "<string>",
"name": "Polygon",
"deposit": {
"live": [
123
],
"old": [
123
],
"oldest_s": [
123
],
"current": {
"live": 123,
"stuck": 123,
"backlog": 123,
"refund": 123,
"oldest_s": 123,
"unread": true
},
"peak": 123,
"done": [
123
],
"refuel": [
123
]
},
"withdrawal": {
"live": [
123
],
"old": [
123
],
"oldest_s": [
123
],
"current": {
"live": 123,
"stuck": 123,
"backlog": 123,
"refund": 123,
"oldest_s": 123,
"unread": true
},
"peak": 123,
"done": [
123
],
"refuel": [
123
]
}
}
]
}Query Parameters
Response
The series.